Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Inlet Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
pdumodel::Inlet Interface Reference

Inlet interface More...

`import <Inlet.idl;`

Inheritance diagram for pdumodel::Inlet:

## Classes
struct | EnableStateChangedEvent
| Event: Inlet has been enabled or disabled. More...
struct | MetaData
| Inlet metadata More...
struct | Sensors
| Inlet sensors More...
struct | Settings
| Inlet settings More...
struct | SettingsChangedEvent
| Event: Inlet settings have been changed. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the inlet metadata.
Sensors | getSensors ()
| Get the inlet sensors.
vector< Pole > | getPoles ()
| Get the list of inlet poles.
vector< MeteredLinePair > | getLinePairs ()
| Get the list of inlet line pairs.
Settings | getSettings ()
| Retrieve the inlet settings.
int | setSettings (in Settings settings)
| Change the inlet settings.
void | setEnabled (in boolean enabled)
| Enable/disable PDU operation for this inlet.
boolean | isEnabled ()
| Test whether PDU operation is enabled for this inlet.
Public Member Functions inherited from pdumodel::EDevice
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device.
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device.
Waveform | getWaveform ()
| Get the current voltage and current waveforms for this device.
Waveform | getPoleWaveform (in PowerLine line)
| Get the current voltage and current waveforms for a pole of this device.

## Detailed Description

Inlet interface

Definition at line 22 of file Inlet.idl.

## Member Function Documentation

## ◆ getLinePairs()

vector< MeteredLinePair > pdumodel::Inlet::getLinePairs | ( |  | ) |

Get the list of inlet line pairs.

Returns
  List of inlet line pairs

## ◆ getMetaData()

MetaData pdumodel::Inlet::getMetaData | ( |  | ) |

Retrieve the inlet metadata.

Returns
  Inlet metadata

## ◆ getPoles()

vector< Pole > pdumodel::Inlet::getPoles | ( |  | ) |

Get the list of inlet poles.

Returns
  List of inlet poles

## ◆ getSensors()

Sensors pdumodel::Inlet::getSensors | ( |  | ) |

Get the inlet sensors.

Returns
  Inlet sensors

## ◆ getSettings()

Settings pdumodel::Inlet::getSettings | ( |  | ) |

Retrieve the inlet settings.

Returns
  Inlet settings

## ◆ isEnabled()

boolean pdumodel::Inlet::isEnabled | ( |  | ) |

Test whether PDU operation is enabled for this inlet.

Returns
  `true` if PDU operation is enabled

## ◆ setEnabled()

void pdumodel::Inlet::setEnabled | ( | in boolean | enabled | ) |

Enable/disable PDU operation for this inlet.

When PDU operation is disabled the sensors for this inlet and all children will no longer be updated, and outlet switching is no longer allowed. This can be useful for multi-inlet units if one inlet is temporarily expected to be powered down.

Parameters

  enabled | `true` to enable PDU operation

## ◆ setSettings()

int pdumodel::Inlet::setSettings | ( | in Settings | settings | ) |

Change the inlet settings.

Parameters

  settings | New inlet settings

Returns
  0 if OK
  1 if any parameters are invalid

The documentation for this interface was generated from the following file:

- Inlet.idl